## GMimeStreamNull GMimeStreamNull — A null stream |

## Functions

GMimeStream * | g_mime_stream_null_new ()

## Types and Values

struct | GMimeStreamNull

## Description

A GMimeStream which has no real backing storage at all. This stream is useful for dry-runs and can also be useful for determining statistics on source data which can be written to streams but cannot be read as a stream itself (e.g. a GMimeObject via `g_mime_object_write_to_stream()`).

## Functions

### g_mime_stream_null_new ()

    GMimeStream *
    g_mime_stream_null_new (void);

Creates a new GMimeStreamNull object.

#### Returns

a new null stream (similar to /dev/null on Unix).

## Types and Values

### struct GMimeStreamNull

    struct GMimeStreamNull {
    	GMimeStream parent_object;

    	size_t written;
    	size_t newlines;
    };

A GMimeStream which has no backing store.

#### Members

GMimeStream `parent_object`; | parent GMimeStream |
size_t `written`; | number of bytes written to this stream |
size_t `newlines`; | the number of newlines written to this stream |

## See Also

GMimeStream